## gtkcookie 0.02

=== Makefile ===
# define where the resulting goes
prefix = /usr/local

# define macro for name of compiler
CC = /usr/local/bin/gcc

# define macro for g++ flags
CFLAGS = -Wall -D_XOPEN_SOURCE -g `gtk-config --cflags`
# without debugging information...
# CFLAGS = -Wall -D_XOPEN_SOURCE `gtk-config --cflags`

# define libraries to include
LIBRARIES = `gtk-config --libs`

install = install -o root -g root

# the default target is all:, so that if you just say "make", all: is
# executed

all: gtkcookie

gtkcookie: gtkcookie.o
	$(CC) $(CFLAGS) -o gtkcookie gtkcookie.o $(LIBRARIES)
# statically linked...
#	$(CC) $(CFLAGS) -o gtkcookie gtkcookie.o -static $(LIBRARIES)

gtkcookie.o: gtkcookie.c
	$(CC) $(CFLAGS) -c gtkcookie.c

install: gtkcookie
	$(install) -d -m 755 $(prefix)/bin
	$(install) -s -m 755 gtkcookie $(prefix)/bin
	$(install) -d -m 755 $(prefix)/share/pixmaps
	$(install)    -m 644 cookie.xpm $(prefix)/share/pixmaps
	$(install)    -m 644 small_cookie.xpm $(prefix)/share/pixmaps
	$(install) -d -m 755 $(prefix)/man/man1
	$(install)    -m 644 gtkcookie.1 $(prefix)/man/man1

clean:
	rm -f gtkcookie
	rm -f *.o
	rm -f *~

## gtkcookie 0.03

=== Makefile ===
# what base directory do you want for the installation?
INSTPREFIX = /usr/local

# your gcc compiler
CC = /usr/local/bin/gcc

# define macro for gcc flags
CFLAGS = -Wall -D_XOPEN_SOURCE -g `gtk-config --cflags`
# with optimisation, and without debugging information...
# CFLAGS = -O3 -Wall -D_XOPEN_SOURCE `gtk-config --cflags`

# define libraries to include
LIBRARIES = `gtk-config --libs`
# statically link libraries
# LIBRARIES = -static `gtk-config --libs`
# electric fence -- enable static linking to ensure this works
# LIBRARIES = `gtk-config --libs` -lefence

INSTALL = install -o root -g root

HEADERFILES = proctool.h getline.h

# the default target is all:, so that if you just say "make", all: is
# executed

all: gtkcookie

gtkcookie: gtkcookie.o proctool.o getline.o
	$(CC) $(CFLAGS) -o gtkcookie gtkcookie.o proctool.o getline.o $(LIBRARIES)

gtkcookie.o: gtkcookie.c $(HEADERFILES)
	$(CC) $(CFLAGS) -c gtkcookie.c

proctool.o: proctool.c $(HEADERFILES)
	$(CC) $(CFLAGS) -c proctool.c

getline.o: getline.c $(HEADERFILES)
	$(CC) $(CFLAGS) -c getline.c

install: gtkcookie
	$(INSTALL) -d -m 755 $(INSTPREFIX)/bin
	$(INSTALL) -s -m 755 gtkcookie $(INSTPREFIX)/bin
	$(INSTALL) -d -m 755 $(INSTPREFIX)/share/pixmaps
	$(INSTALL)    -m 644 cookie.xpm $(INSTPREFIX)/share/pixmaps
	$(INSTALL)    -m 644 small_cookie.xpm $(INSTPREFIX)/share/pixmaps
	$(INSTALL) -d -m 755 $(INSTPREFIX)/man/man1
	$(INSTALL)    -m 644 gtkcookie.1 $(INSTPREFIX)/man/man1

clean:
	rm -f gtkcookie
	rm -f *.o
	rm -f *~

## gtkcookie 0.4

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 CC = /usr/local/bin/gcc
 
 # define macro for gcc flags
-CFLAGS = -Wall -D_XOPEN_SOURCE -g `gtk-config --cflags`
+CFLAGS := -Wall -D_XOPEN_SOURCE -g $(shell pkg-config --cflags gtk+-2.0) #-D_MANNI_DEBUG
 # with optimisation, and without debugging information...
 # CFLAGS = -O3 -Wall -D_XOPEN_SOURCE `gtk-config --cflags`
 
 # define libraries to include
-LIBRARIES = `gtk-config --libs`
+LIBRARIES := $(shell pkg-config --libs gtk+-2.0)
 # statically link libraries
 # LIBRARIES = -static `gtk-config --libs`
 # electric fence -- enable static linking to ensure this works
@@ -43,8 +43,8 @@
 	$(INSTALL) -d -m 755 $(INSTPREFIX)/share/pixmaps
 	$(INSTALL)    -m 644 cookie.xpm $(INSTPREFIX)/share/pixmaps
 	$(INSTALL)    -m 644 small_cookie.xpm $(INSTPREFIX)/share/pixmaps
-	$(INSTALL) -d -m 755 $(INSTPREFIX)/man/man1
-	$(INSTALL)    -m 644 gtkcookie.1 $(INSTPREFIX)/man/man1
+	$(INSTALL) -d -m 755 $(INSTPREFIX)/share/man/man1
+	$(INSTALL)    -m 644 gtkcookie.1 $(INSTPREFIX)/share/man/man1
 
 clean:
 	rm -f gtkcookie

=== debian/changelog ===
gtkcookie (0.4-5) unstable; urgency=low

  * Fix get_line_safely() on platforms where char is unsigned, e.g.
    armel and powerpc.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 10 Mar 2011 13:34:05 +0200

gtkcookie (0.4-4) unstable; urgency=low

  [ Peter Pentchev ]
  * Drop -Wcast-qual from CFLAGS until libglib2.0-dev is fixed.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to get the default values for
    CFLAGS, CPPFLAGS, and LDFLAGS.
  * Refresh the copyright file:
    - update it to the latest DEP 5 candidate format
    - change "Debian GNU/Linux systems" to "Debian systems"
    - bump the year on my copyright notice
  * Bump Standards-Version to 3.9.1 with no changes.
  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Switch to bzip2 compression for the Debian tarball.
  * Bump the debhelper compatibility level to 8 with no changes.
  * Harden the build by default and use hardening-includes instead of
    the hardening-wrapper to do it.
  * Add the 05-cppcheck patch to fix a memory leak detected by cppcheck.
  * Change the -ansi compiler option to -std=c99 to allow a //comment
    needed to suppress a cppcheck warning.
  * Amend the 02-cflags patch to also honor LDFLAGS.
  * Pass --as-needed to the linker to avoid unnecessary dependencies.
  * Make the short description start with a lowercase letter.

  [ gregor herrmann ]
  * Add "DM-Upload-Allowed: yes" to debian/control.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Mar 2011 14:39:26 +0200

gtkcookie (0.4-3) unstable; urgency=low

  * New maintainer.  Closes: #414524
  * Add the Vcs-Svn and Vcs-Browser source control fields.
  * Remove debian/conffiles - no idea what it was doing in this package :)
  * Switch to debhelper:
    - add a dependency on debhelper
    - create debian/compat
    - minimize the rules file using override targets
    - remove the debian/dirs, postinst and postrm files - dh_installmenu
      does its job just fine
    - install the WISHLIST file using debian/docs
    - add misc:Depends to the binary package
  * Remove the duplicate priority specification.
  * Add an empty watch file.
  * Convert to the 3.0 (quilt) source format.
  * Add the 01-install patch to install an unstripped binary and let
    dh_strip do its work.  Closes: #437119
  * Bump Standards-Version to 3.8.4:
    - change the menu section Apps/Net -> Applications/Network/Web Browsing
    - add the 02-cflags patch to honor the user's CFLAGS, thus also
      honoring the "noopt" build option
  * Add the 03-manpage patch to fix some hyphen/minus-sign confusion.
  * In the extended description, note that modern browsers do not store
    their cookies in plaintext files, but in SQLite databases instead;
    thus, also fix the lintian "extended description too short" warning :)
  * Convert the copyright file to the DEP 5 format and add my own
    copyright notice for the debian/* files.
  * Remove the GPL-2+ license excerpt from the debian/rules file, since
    it is present in debian/copyright, and add my copyright notice to
    the rules file, too.
  * Add the 04-warnings patch to fix some compiler warnings.
  * Pass -Werror to the compiler if the "werror" build option is set.
  * Use the build hardening wrapper if the "hardening" build option is set.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 11 Mar 2010 02:35:38 +0200

gtkcookie (0.4-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA group.
  * Fixed installation of files into /usr/X11R6/include/X11 (Closes: #402766).
  * Conforms Standards version 3.7.2.
  * Install menu in /usr/share/menu instead of /usr/lib/menu.

 -- Nico Golde <nion@debian.org>  Tue, 03 Apr 2007 19:05:16 +0200

gtkcookie (0.4-1) unstable; urgency=low

  * I'm taking over upstream maintenance.
  * Port to GTK+2.
  * Move to section web.
  * Don't set /usr/doc/ symlink anymore.

 -- Filip Van Raemdonck <mechanix@debian.org>  Sun, 25 Aug 2002 18:43:48 +0200

gtkcookie (0.03-3) unstable; urgency=low

  * Fix broken .dsc file. (Closes: #96653)

 -- Filip Van Raemdonck <mechanix@debian.org>  Tue,  8 May 2001 19:36:12 +0200

gtkcookie (0.03-2) unstable; urgency=low

  * New maintainer.
  * Ported to GTK+ 1.2
  * Bring up to date with policy.

 -- Filip Van Raemdonck <mechanix@debian.org>  Fri, 20 Apr 2001 11:51:01 +0200

gtkcookie (0.03-1) unstable; urgency=low

  * New upstream version

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 30 Dec 1998 22:50:12 +0100

gtkcookie (0.02-5) frozen unstable; urgency=low

  * Reupload into frozen and unstable

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Wed, 23 Dec 1998 12:15:25 +0100

gtkcookie (0.02-4) unstable; urgency=low

  * Corrected postinst/postrm and turned the interactive shell into
    /bin/true. (closes: Bug#29343)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 13 Nov 1998 00:43:32 +0100

gtkcookie (0.02-3) unstable; urgency=low

  * Reupload into frozen because the distribution was changed suddenly
    *after* the last upload so it went into the wrong one.
  
 -- Martin Schulze <joey@debian.org>  Tue,  3 Nov 1998 18:37:42 +0100

gtkcookie (0.02-2) unstable; urgency=low

  * Fixed calls to update-menu in postinst/postrm (closes: Bug#28764)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 31 Oct 1998 10:51:09 +0100

gtkcookie (0.02-1) unstable; urgency=low

  * New upstream version
  * Added support for small icon

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 16 Oct 1998 11:45:15 +0200

gtkcookie (0.01-1) unstable; urgency=low

  * Initial version
  * Added menu file
  
 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Mon,  5 Oct 1998 21:41:37 +0200

=== debian/control ===
Source: gtkcookie
Section: web
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~), hardening-includes, libgtk2.0-dev
Standards-Version: 3.9.1
Vcs-Git: git://gitorious.org/gtkcookie/pkg-debian.git
Vcs-Browser: http://gitorious.org/gtkcookie/pkg-debian
DM-Upload-Allowed: yes

Package: gtkcookie
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: editor for cookie files
 This package provides a graphical editor for cookie files as stored
 by Gecko browsers (Mozilla, FireFox, Galeon, Netscape, etc.) before
 they started storing their cookies in SQLite databases.

=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-98   joey@infodrom.north.de (Martin Schulze)
#		2001	Filip Van Raemdonck <mechanix@debian.org>
#               2010    Peter Pentchev <roam@ringlet.net>

CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)

LDFLAGS+=	-Wl,--as-needed

INSTPREFIX=debian/gtkcookie/usr

CFLAGS_WARN=	-Wall -W -pipe -std=c99 -pedantic -Wbad-function-cast \
		-Wcast-align -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wwrite-strings
ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
	CFLAGS_WARN+=	-Werror
endif

include /usr/share/hardening-includes/hardening.make
ifeq (,$(filter nohardening,$(DEB_BUILD_OPTIONS)))
CFLAGS+=	$(HARDENING_CFLAGS)
LDFLAGS+=	$(HARDENING_LDFLAGS)
endif

export INSTPREFIX CFLAGS CFLAGS_WARN CPPFLAGS DEB_BUILD_HARDENING LDFLAGS

%:
	dh $@

=== debian/watch ===
# Upstream seems to have disappeared.
